<?php
/**
 * BookiFlex Payment Extension
 *
 * @package    BookiFlex
 * @subpackage Payment
 * @author     BookiFlex
 * @copyright  Copyright (c) 2025 BookiFlex
 * @license    GPL-2.0-or-later
 *
 * @link       https://bookiflex.com
 */


declare(strict_types=1);
namespace BookiFlex\Extensions\Payment\Model;

use BookiFlex\Core\Model\Timestamps;
use BookiFlex\Core\Util\DateTimeUtils;
use Payum\Core\Model\Token;

defined( 'ABSPATH' ) || exit;

class PaymentToken extends Token
{
    use Timestamps;

    public function __construct()
    {
        parent::__construct();
        $this->createdAt = DateTimeUtils::nowUtc();
    }
}
